# List Notification channels at account level

Returns a list of notification channels for the scope.

Endpoint: GET /v1/notification-channels
Version: 1.0
Security: x-api-key

## Header parameters:

  - `Harness-Account` (string)
    Identifier field of the account the resource is scoped to. This is required for Authorization methods other than the x-api-key header. If you are using the x-api-key header, this can be skipped.

## Query parameters:

  - `limit` (integer)
    Number of items to return per page.

  - `search_term` (string)
    This would be used to filter resources having attributes matching with search term.

  - `sort` (string)
    Parameter on the basis of which sorting is done.
    Enum: "name", "identifier", "created", "updated"

  - `order` (string)
    Order on the basis of which sorting is done.
    Enum: "ASC", "DESC"

  - `notification_channel_type` (string)
    Notification Channel Type

  - `page` (integer)
    Pagination page number strategy: Specify the page number within the paginated collection related to the number of items in each page

  - `include_parent_scope` (boolean)
    Include entities from current and parent scopes.

## Response 200 fields (application/json):

  - `identifier` (string)

  - `org` (string)

  - `project` (string)

  - `notification_channel_type` (string, required)
    Notification Channel Type
    Enum: "EMAIL", "SLACK", "PAGERDUTY", "MSTEAMS", "WEBHOOK", "DATADOG"

  - `status` (string)
    Notification Rule Status
    Enum: "ENABLED", "DISABLED"

  - `channel` (object, required)

  - `channel.email_ids` (array)

  - `channel.slack_webhook_urls` (array)

  - `channel.webhook_urls` (array)

  - `channel.pager_duty_integration_keys` (array)

  - `channel.ms_team_keys` (array)

  - `channel.user_groups` (array)

  - `channel.user_groups.identifier` (string)

  - `channel.user_groups.org` (string)

  - `channel.user_groups.project` (string)

  - `channel.headers` (array)

  - `channel.headers.key` (string)

  - `channel.headers.value` (string)

  - `channel.datadog_urls` (array)

  - `channel.api_key` (string)

  - `channel.delegate_selectors` (array)

  - `channel.execute_on_delegate` (boolean)

  - `last_modified` (integer)

  - `created` (integer)

  - `name` (string)

  - `account` (string)


